Bug 439430 - 'out of range'?
'out of range'?
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sectool (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 13:42 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 11:41:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-03-28 13:42:16 EDT
Description of problem:


Test Name: passwd                                           Test Result: WARNING
        Warning(11)   Line 41: User mysql has UID out of range
        Warning(12)   Line 41: User mysql has GID out of range

mysql:x:27:27:MySQL Server:/var/lib/mysql:/bin/bash

I'm not seeing anything wrong with that.

Version-Release number of selected component (if applicable):

sectool-0.6.0-1.noarch
Comment 1 Michel Samia 2008-03-31 11:41:02 EDT
Hi,

Thank you for reporting this bug, I wanted to fix this but then I forgot... It
was a wrong way how to detect a system user and a real user.

I fixed it in our git, so you can wait until pvrabec will build a new version
into rawhide, or you can try our actual git version by 

$ git clone git://git.fedorahosted.org/git/sectool.git/ sectool

msamia
Comment 2 Daniel Qarras 2008-11-04 12:40:41 EST
I'm still seeing this with rawhide as of 2008-11-04:

root@localhost:~# grep testuser /etc/passwd
testuser:x:501:100::/home/testuser:/bin/zsh

Line 41: User testuser has GID out of range
Comment 3 Daniel Qarras 2008-11-04 12:41:30 EST
Err, I am unable to reopen this. Will file a new bug if still present after F10 final.

Note You need to log in before you can comment on or make changes to this bug.